Yii2.0框架最简单最详细的安装教程

今天安装YII2.0框架测试功能,各种报错,然后在网上搜集了几个资料看了一下,这个教程还算详细,整理出来有需要的可以看看,里面新增了几个异常处理.

前提:非常重要,你的php版本必须是php5.4以上

1.首先需要下载应用模板,分为基础模板和高级应用模板,这里我以高级应用模板为例子 :

去这里现在高级应用模板 https://github.com/yiisoft/yii2-app-advanced

2.下载完之后解压放在www目录我是放在 D:\wamp\www\yii2\advanced

cmd dos命令进入这个D:\wamp\www\yii2\advanced下:

3.运行 php -r "readfile('https://getcomposer.org/installer');" | php

4.这是就在D:\wamp\www\yii2\advanced目录下面下载了一个composer.phar文件,有了这个文件就可以执行php composer.phar命令了,提示:

5.1运行php composer.phar global require "fxp/composer-asset-plugin:1.0.0-beta3"这个命令,这个命令式升级模板应用的,一定要执行,否则访问会出错,如果 报 Nothing to install or update这个错误,就跳过此步骤,无需更新了

5.2如果执行失败,就执行下面的代码

composer require --prefer-dist yiidoc/yii2-redactor "*"

6.准备所有插件!!非常重要,少了这步一切都会失败

执行命令:php composer.phar global require "fxp/composer-asset-plugin:1.0.0"

7.安装我们的yii2的应用:

执行命令:composer create-project --prefer-dist --stability=dev yiisoft/yii2-app-advanced ../yii2test 就会在上一层目录下生成yii2test应用

请注意,您可能会被提示安装过程中输入你的 GitHub 的用户名和密码。这是正常的。只要输入它们并继续。如果你没有git账号,注册一个就可以了,但是安装的时候可能需要退出cmd,重新操作。

8.最后一步:初始化我们的应用,初始化是在你创建的yii2test目录下 执行cmd init命令 选0 y

ok,这么我们的yii2的安装就完成了,进入测试目录:

localhost/yii2/yii2test/frontend/web/index.php

会看到如下界面:

这就表明的你的yii2安装成功了,一定要记住你的php版本是php5.4以上的!

  • 发表于:
  • 原文链接https://kuaibao.qq.com/s/20181204G1B9GV00?refer=cp_1026
  • 腾讯「云+社区」是腾讯内容开放平台帐号(企鹅号)传播渠道之一,根据《腾讯内容开放平台服务协议》转载发布内容。

扫码关注云+社区

领取腾讯云代金券